View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000187aMuleMiscpublic2004-11-04 23:272004-11-21 20:28
Reporterken 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.3.5
Product Version 
Target VersionFixed in Version 
Summary0000187: Error when attempting to copy ED2K link for any server or file
DescriptionIn the server list, downloads list, and shared files list, attempting to copy the ED2K link to the clipboard produces an error dialog. It is titled "EMule Error", and says "Failed to empty the clipboard. (error 2: No such file or directory)". I displayed the details, saved them, and here's that file (not very informative):

20:55:32: Failed to empty the clipboard. (error 2: No such file or directory)
20:55:32: Failed to empty the clipboard. (error 2: No such file or directory)
Steps To ReproduceRun aMule.
Control-click (right-click) on a server and Copy ED2K Link to Clipboard.
Observe error dialog. Dismiss dialog.
Switch to Transfers screen. Control-click on a download file and Copy ED2K Link to Clipboard.
Observe error dialog. Dismiss dialog.
Switch to Shared Files screen. Control-click on a shared file and Copy ED2K Link to Clipboard.
Observe error dialog. Dismiss dialog.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
related to 0000183closedKry [Mac] No Edit menu or Cut, Copy, Paste functionality 

-  Notes
(0000343)
Kry (manager)
2004-11-05 00:11

Seems more like a wx bug. Will check.
(0000388)
Kry (manager)
2004-11-19 05:27

Here it works perfectly.
(0000395)
Jacobo221 (updater)
2004-11-20 05:50

file links work.
servers links don't since code has an if (file) { ... } else { nothing } hehehe
(0000403)
ken (developer)
2004-11-21 10:52

Works now with Mac rc8 prerelease (both file and server).
(0000409)
Kry (manager)
2004-11-21 20:28

bye bye bug

- Issue History
Date Modified Username Field Change
2004-11-04 23:27 ken New Issue
2004-11-05 00:11 Kry Status new => assigned
2004-11-05 00:11 Kry Assigned To => Kry
2004-11-05 00:11 Kry Note Added: 0000343
2004-11-19 05:27 Kry Note Added: 0000388
2004-11-19 05:30 Kry Relationship added related to 0000183
2004-11-19 05:33 Kry Reproducibility always => unable to reproduce
2004-11-20 05:50 Jacobo221 Note Added: 0000395
2004-11-21 10:52 ken Note Added: 0000403
2004-11-21 20:28 Kry Status assigned => resolved
2004-11-21 20:28 Kry Resolution open => fixed
2004-11-21 20:28 Kry Note Added: 0000409


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker